#include <Event.h>
#include <Timer.h>

#define  LED1_R  9
#define  LED1_G  10
#define  LED1_B  11

#define sdown 7

Timer tmr;

int r = 255;
int g = 1;
int b = 1;

int WAIT = 40;

void setup()
{
  pinMode(LED1_R, OUTPUT);
  pinMode(LED1_G, OUTPUT);
  pinMode(LED1_B, OUTPUT);

  pinMode(sdown, OUTPUT); 

  digitalWrite(sdown, LOW);
  tmr.every(1200000, activatePololu);
}

void loop() {

  tmr.update();

  // Red to Orange to Yellow
  r = 255; 
  g = 1; 
  b = 1;
  for(g = 1; g <= 255; g++) {
    writeLED1();
  }
  delay(1000);

  // Yellow to Green
  r = 255; 
  g = 255; 
  b = 1;
  for(r = 255; r > 2; r -= 2) {
    writeLED1();
  }
  // Green because blue is bright and a pause for green is good
  r = 1; 
  g = 255; 
  b = 1;
  for(int i = 0; i < 20; i++) {
    writeLED1();
  }
  // Green to Blue
  r = 1; 
  g = 255; 
  b = 1;
  for(g = 255; g > 2; g -= 2) {
    b += 2;
    writeLED1();
  }
  // Blue to Purple
  r = 1; 
  g = 1; 
  b = 255;
  for(r = 1; r < 253; r += 2) {
    writeLED1();
  }
  delay(1000);
  // Purple to Red
  r = 255; 
  g = 1; 
  b = 255;
  for(b = 255; b > 2; b -= 2) {
    writeLED1();
  }
  delay(1000);

}

void writeLED1() {
  analogWrite(LED1_R, r);
  analogWrite(LED1_G, g);
  analogWrite(LED1_B, b);

  delay(WAIT);
}

void activatePololu() {

  digitalWrite(sdown, HIGH);
}

